<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserIntegral extends BaseModel
{
    use HasFactory;

    const UPDATED_AT = null;
    public static $instance;

    const TYPE = [
        0 => '未知',
        1 => '个人新开户',
        2 => '企业新开户',
        3 => '球队新开户',
        4 => '球场会员认证',
        5 => '粉丝',
        6 => '一杆进洞',
        7 => '总场次奖励',
        8 => '打卡',
        9 => '点赞',
    ];

    public static function getTypeName($type=0)
    {
        return self::TYPE[$type];
    }

}
